﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;
using Telerik.Windows.Controls;

namespace SilverlightApplication1
{
	public class FluidContentStateConverter : IValueConverter
	{
		public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			TileViewItemState contentState = (TileViewItemState)value;
			switch (contentState)
			{
				case TileViewItemState.Minimized:
					return FluidContentControlState.Small;
				case TileViewItemState.Restored:
					return FluidContentControlState.Normal;
				case TileViewItemState.Maximized:
					return FluidContentControlState.Large;
				default:
					return FluidContentControlState.Normal;
			}
		}

		public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			FluidContentControlState fluidState = (FluidContentControlState)value;
			switch (fluidState)
			{
				case FluidContentControlState.Small:
					return TileViewItemState.Minimized;
				case FluidContentControlState.Normal:
					return TileViewItemState.Restored;
				case FluidContentControlState.Large:
					return TileViewItemState.Maximized;
				default:
					return TileViewItemState.Restored;
			}
		}
	}
}
